pdbtxt2html(1)

NAME
pdbtxt2html - Doc Text to HTML converter for Palm Pilots

ÜBERSICHT
pdbtxt2html [ -t ] Datei.txt [ Datei.html ]
pdbtxt2html -v

BESCHREIBUNG
pdbtxt2html wandelt Text, der aus dem Doc(4)-Format mittels txt2pdbdoc(1) gewonnen wurde, in HTML um. Wenn kein Dateiname für das HTML angegeben wurde, wird das erzeugte HTML auf die Standardausgabe geschrieben.

  Dokumenttitel
Die erste Zeile des Textes wird als Titel des HTML-Dokuments verwendet.

  Lesezeichen
In der letzten Zeile der Datei wird nach einer Zeichenfolge gesucht, die zwischen < und > eingeschlossen ist. Das wird als Lesezeichenkennung verwendet. Dann wird die ganze Datei nach Zeilen durchsucht, die mit dieser Zeichenkette beginnen (führende Whitespaces werden ignoriert). Diese Zeilen werden in HTML-Überschriften umgewandelt.

Die Anzahl der Whitespaces nach der ersten Lesezeichenkennung wird als Überschrift Stufe 1 angenommen. Die Stufe der Unterüberschriften ergibt sich aus der Anzahl der Whitespaces zwischen der Lesezeichenkennung und dem Lesezeichentext minus die Anzahl bei der ersten Lesezeichenkennung plus eins.

  URLs im Text
Sind gültige URLs (nach RFC 1630) im Text enthalten, werden sie in Hyperlinks umgewandelt. URLs, die mit ftp, gopher, http, https, mailto, news, telnet, und wais beginnen, werden erkannt.

OPTIONEN

-t  Erzeugt ein Inhaltsverzeichnis und fügt es zwischen der ersten Überschrift und dem Textkörper ein.

-v  Schreibt die Versionsnummer von pdbtxt2html auf die Standardausgabe und beendet sich.

BEISPIEL
Umwandlung einer Doc-Datei in HTML: txt2pdbdoc alice.pdb alice.txt pdbtxt2html alice.txt alice.html

SIEHE AUCH
html2pdbtxt(1), txt2pdbdoc(1), doc(4), pdb(4)

Tim Berners Lee. Universal Resource Identifiers in WWW, Network Working Group of the Internet Engineering Task Force, June 1994.
    http://info.internet.isi.edu/in-notes/rfc/files/rfc1630.txt

AUTOR
Paul J. Lucas <pauljlucas@mac.com>
Deutsche Übersetzung: Erik Schanze <eriks@debian.org>